Description

[woeusb] is useless without Windows.

History

#1 - 2020-08-02 05:54 PM - bill-auger
- Assignee set to bill-auger

- Status changed from unconfirmed to confirmed

#2 - 2020-08-02 05:54 PM - bill-auger
- Priority changed from bug to freedom issue

- Status changed from confirmed to fixed

#3 - 2020-08-02 05:55 PM - bill-auger

$ pacman -Ss woeusb
community/woeusb 3.3.1-2
A Linux program to create Windows USB stick installer from a Windows DVD or an image

#4 - 2020-08-08 10:56 AM - dllud

| cannot see how this package conflicts with FSDG. It seems to me that it shouldn't be blacklisted.

The package itself appears to be free software and it neither installs nor recommends the installation of non-free software into your system.
It's goal is to create a Windows USB stick, which again, is not installed into your system, and may be used elsewhere and for other purposes besides
an installation. And perhaps | may wish to experiment and thinker with this package to create USB sticks for other OSes besides Windows.

So at most, what this package does is being able to handle non-free data (if you supply that data to it). This is not sanctioned by the FSDG. Seems to
be akin to removing an hex editor because users may feed non-free data into it.

All'in all, my point is that "uselessness" shouldn't be a criteria for blacklisting a package. Either it conflicts with FSDG or not.

#5 - 2020-08-08 12:44 PM - bill-auger

it is not merely processing non-free data arbitrarily, in the way
that GCC does - it is explicitly installing a non-free operating
system for practical use - if the program's only purpose is to

assist with or to recommend using some non-free software, then it
conflicts with the FSDG at the "steering, assisting, recommending,
or suggesting" prescriptions

if this were a generic ISO->USB or ISO->CD burner, then it would
be acceptable; but in that case, that program would be of little
value to parabola anyways, because there are already multiple
ways to easily accomplish the same thing

from the woeusb README:
Supported images:
Windows Vista, Windows 7, Window 8.x, Windows 10.
that seems very clearly to be describing a special-purpose tool,
with it's only function being to install a very specific non-free OS -
the mere existence of such a program in the parabola repos would be

a recommendation to install that OS - the recommendation itself
would run afoul with the FSDG, but additionally, this program also
facilitates the task

the only way this could be acceptable, is if it were modified to

support installing free operating systems; which would still require

it to be blacklisted - again though, parabola does not need any new
program to accomplish that task; so the (value/work-load) ratio is zero

from the FSDG:

A free system distribution must not steer users towards obtaining any nonfree information for practical use, or encourage them to do so

In general, something that helps people who already use nonfree software to use the free software better with it is acceptable, but something
that encourages users of the free software to install nonfree software is not.

What would be unacceptable is for the documentation to give people instructions for installing a nonfree program on the system, or mention
conveniences they might gain by doing so.
